QGIS Application - Feature request #7719
add GML response to GetFeaturelnfo in qgis mapserver
2013-04-26 06:19 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 16628
Description

this would allow, among the other things, to use the new feature of the QGIS wms client that allows to copy/paste features from WMS
servers.

Note: on (UMN) mapserver this is possible when at a layer level is added the "gml_geometries" parameter

Description: (Optional, applies only to GetFeaturelnfo GML requests) Provides a name for geometry elements. The value is specified as a
string to be used for geometry element names. By default, GML geometries are not written in GML GetFeaturelnfo output, unless
gml_geometries and gml_[geometry name]_type are both set. By default, only the bounding box is written. If gml_geometries is set to
“none”, neither the bounding box nor the geometry are written.

History

#1 - 2013-09-08 10:10 AM - Stéphane Brunner

We also needs this feature than | start to work on it, but | see some design issue to implement it:

The method QgsWMSServer::getFeaturelnfo fill a QDomDocument but | think that it should fill a QMap<QString, QList<QgsFeature>> or a
QList<QgsFeature>, the first one has the advantage to separate the features per layer (QString => layer name).

The method QgsWMSServer::convertFeatureInfoToSIA2045 should be moved to QgsHttpRequestHandler.

Ad the methods QgsWFSServer::createFeatureGML2 and QgsWFSServer::createFeatureGML3 should probably be shared between WMS/WFS server

but | don't know where to put them.

It never develop in the QGis core before than all input are welcome.

Sincerely

Stéphane Brunner / Camptocamp

#2 - 2013-09-08 11:50 AM - Stéphane Brunner

| just see that QgsHttpRequestHandler hasn't any dependencies on QGis components than | think that's almost content of the method

QgsHttpRequestHandler::sendGetFeaturelnfoResponse that should moved to QgsWMSServer::getFeaturelnfo ...

#3 - 2013-09-08 02:25 PM - Giovanni Manghi

Stéphane Brunner wrote:

| just see that QgsHitpRequestHandler hasn't any dependencies on QGis components than | think that's almost content of the method
QgsHitpRequestHandler::sendGetFeaturelnfoResponse that should moved to QgsWMSServer::getFeatureinfo ...

hi,

better move this discussion in the developers mailing list.

Cheers!

#4 - 2013-09-14 03:35 AM - René-Luc ReLuc

- Assignee set to Marco Hugentobler

- Target version changed from Future Release - Nice to have to Future Release - High Priority
- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 100

Can be closed ?
since 040e9d54cb4a08a19ee47226eadbbeee5888f4ce
commit:040e9d54cb4a08a19ee47226ead6beee5888f4ce

#5 - 2013-09-14 03:38 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

thanks!
